summaryrefslogtreecommitdiffstats
path: root/meta/recipes-graphics/x11-common/xserver-nodm-init
diff options
context:
space:
mode:
authorJussi Kukkonen <jussi.kukkonen@intel.com>2016-11-15 13:41:58 +0200
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-11-30 15:47:09 +0000
commitee153327b046fe8474e498f39ecc87e573bc8604 (patch)
tree2dde7ff8d25532521cc67819e4767812682b7916 /meta/recipes-graphics/x11-common/xserver-nodm-init
parentbf6fd144b6f3539009089df5f188d09c7c899140 (diff)
downloadopenembedded-core-contrib-ee153327b046fe8474e498f39ecc87e573bc8604.tar.gz
x11-common: Merge into xserver-nodm-init
Move the (non-factual) x utils dependencies from x11-common to x11 packagegroup. Remove some obsolete configuration from x11-common: * Xsession.d/12keymap.sh: commented out xmodmap call for kdrive * default.xmodmap: xmodmap file used by 12keymap.sh * Xdefaults: rxvt configuration At this point x11-common is just /etc/X11/Xsession and three non-intrusive Xsession scripts: make these explicitly part of xserver-nodm-init. RCONFLICT with the versions of xserver-common that also provide these files. VIRTUAL-RUNTIME_xserver_common is no longer a real abstraction but preserve the setting for backwards compatibility (if the variable is set to "xserver-common", the right thing still happens). Signed-off-by: Jussi Kukkonen <jussi.kukkonen@intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
Diffstat (limited to 'meta/recipes-graphics/x11-common/xserver-nodm-init')
-rw-r--r--meta/recipes-graphics/x11-common/xserver-nodm-init/X11/Xsession38
-rw-r--r--meta/recipes-graphics/x11-common/xserver-nodm-init/X11/Xsession.d/13xdgbasedirs.sh13
-rw-r--r--meta/recipes-graphics/x11-common/xserver-nodm-init/X11/Xsession.d/89xdgautostart.sh7
-rw-r--r--meta/recipes-graphics/x11-common/xserver-nodm-init/X11/Xsession.d/90XWindowManager.sh7
4 files changed, 65 insertions, 0 deletions
diff --git a/meta/recipes-graphics/x11-common/xserver-nodm-init/X11/Xsession b/meta/recipes-graphics/x11-common/xserver-nodm-init/X11/Xsession
new file mode 100644
index 0000000000..0b73127ae1
--- /dev/null
+++ b/meta/recipes-graphics/x11-common/xserver-nodm-init/X11/Xsession
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+if [ -x /usr/bin/dbus-launch ]; then
+ # As this is the X session script, always start a new DBus session.
+ eval `dbus-launch --sh-syntax --exit-with-session </dev/null`
+ echo "D-BUS per-session daemon address is: $DBUS_SESSION_BUS_ADDRESS"
+fi
+
+. /etc/profile
+
+if [ -f $HOME/.profile ]; then
+ . $HOME/.profile
+fi
+
+SYSSESSIONDIR=/etc/X11/Xsession.d
+
+export CLUTTER_DISABLE_MIPMAPPED_TEXT=1
+
+for SESSIONFILE in $SYSSESSIONDIR/*; do
+ set +e
+ case "$SESSIONFILE" in
+ *.sh)
+ . "$SESSIONFILE"
+ ;;
+ *.shbg)
+ "$SESSIONFILE" &
+ ;;
+ *~)
+ # Ignore backup files
+ ;;
+ *)
+ "$SESSIONFILE"
+ ;;
+ esac
+ set -e
+done
+
+exit 0
diff --git a/meta/recipes-graphics/x11-common/xserver-nodm-init/X11/Xsession.d/13xdgbasedirs.sh b/meta/recipes-graphics/x11-common/xserver-nodm-init/X11/Xsession.d/13xdgbasedirs.sh
new file mode 100644
index 0000000000..6bd40b2fc5
--- /dev/null
+++ b/meta/recipes-graphics/x11-common/xserver-nodm-init/X11/Xsession.d/13xdgbasedirs.sh
@@ -0,0 +1,13 @@
+# Minimal/stub implementation of the XDG Base Directory specification.
+# http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html
+#
+# Wayland needs XDG_RUNTIME_DIR, so set it to /tmp. This isn't compliant with
+# the specification (wrong mode, wrong owner) but it's mostly sufficient.
+#
+# In the ideal case where SystemD is booting and userspace is initiated by a
+# SystemD user session this will have been set already, so don't overwrite it.
+
+if [ -z "$XDG_RUNTIME_DIR" ]; then
+ XDG_RUNTIME_DIR="/tmp"
+ export XDG_RUNTIME_DIR
+fi
diff --git a/meta/recipes-graphics/x11-common/xserver-nodm-init/X11/Xsession.d/89xdgautostart.sh b/meta/recipes-graphics/x11-common/xserver-nodm-init/X11/Xsession.d/89xdgautostart.sh
new file mode 100644
index 0000000000..3d7008ca45
--- /dev/null
+++ b/meta/recipes-graphics/x11-common/xserver-nodm-init/X11/Xsession.d/89xdgautostart.sh
@@ -0,0 +1,7 @@
+XDGAUTOSTART=/etc/xdg/autostart
+if [ -d $XDGAUTOSTART ]; then
+ for SCRIPT in $XDGAUTOSTART/*; do
+ CMD=`grep ^Exec= $SCRIPT | cut -d '=' -f 2`
+ $CMD &
+ done
+fi
diff --git a/meta/recipes-graphics/x11-common/xserver-nodm-init/X11/Xsession.d/90XWindowManager.sh b/meta/recipes-graphics/x11-common/xserver-nodm-init/X11/Xsession.d/90XWindowManager.sh
new file mode 100644
index 0000000000..b936dedf3b
--- /dev/null
+++ b/meta/recipes-graphics/x11-common/xserver-nodm-init/X11/Xsession.d/90XWindowManager.sh
@@ -0,0 +1,7 @@
+if [ -x $HOME/.Xsession ]; then
+ exec $HOME/.Xsession
+elif [ -x /usr/bin/x-session-manager ]; then
+ exec /usr/bin/x-session-manager
+else
+ exec /usr/bin/x-window-manager
+fi